%{?!_licensedir:%global license %%doc}
%{!?upstream_version: %global upstream_version %{version}}

%if 0%{?rhel}
%global with_python3 0
%else
%global with_python3 1
%endif

%global srcname proliantutils

Name:           python-%{srcname}
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
Version:        2.2.0
Release:        2%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://github.com/stackforge/proliantutils

Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pbr

%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
%endif

%description
Client Library for interfacing with various devices in HP Proliant Servers.

%package -n python2-%{srcname}
Summary:    %{summary}
Requires:   python2-six
Requires:   python2-oslo-concurrency
Requires:   python2-oslo-utils
Requires:   python2-jsonschema
Requires:   python2-requests
Requires:   python2-pysnmp
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Client Library for interfacing with various devices in HP Proliant Servers.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:    %{summary}
Requires:   python3-six
Requires:   python3-oslo-concurrency
Requires:   python3-oslo-utils
Requires:   python3-jsonschema
Requires:   python3-requests
Requires:   python3-pysnmp
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Client Library for interfacing with various devices in HP Proliant Servers.
%endif

%prep
%autosetup -v -p 1 -n %{srcname}-%{upstream_version}

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}*
%exclude %{python2_sitelib}/%{srcname}/*test*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}*
%exclude %{python3_sitelib}/%{srcname}/*test*
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Iryna Shcherbina <ishcherb@redhat.com> - 2.2.0-1
- Update to 2.2.0 and provide Python 3 subpackage for Fedora (rhbz#1403303)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri May 22 2015 John Trowbridge <jtrowbri@redhat.com> - 2.1.0-1
- Initial package build

